/**
 * Cette classe est limplmentation de linterface graphique du convertisseur.
 */

/**
 * @author kouayim
 *
 */

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.JTextField;
//import javax.swing.BoxLayout;


import java.awt.FlowLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;


public class ConvertisseurGUI extends JFrame
{
	JButton celsiusFahrenheitButton = new JButton("Celsius to Fahrenheit"); //Bouton pour la conversion de Celsius en Fahrenheit
	JButton fahrenheitCelsiusButton = new JButton("Fahrenheit to Celsius"); //Bouton pour la conversion de Fahrenheit en Celsius
	JTextField temperaturTextField = new JTextField("0", 20); //Le JTextField pour entrer la temprature  convertir.
	JLabel resultatLabel = new JLabel("Welcome in the Celsius/Fahrenheit Converter."); //Le JLabel pour afficher le rsultat de la conversion
	
//	Ici on implmente le constructeur de notre classe ConvertisseurGUI
	public ConvertisseurGUI()
	{
		super ("C <-> F converter");
		setLayout (new FlowLayout());
		
		add(celsiusFahrenheitButton);
		add(fahrenheitCelsiusButton);
		add(temperaturTextField);
		add(resultatLabel);
		
//	===================================================
		ButtonHandler handler1 = new ButtonHandler();
		celsiusFahrenheitButton.addActionListener(handler1);
		fahrenheitCelsiusButton.addActionListener(handler1);
		
		
	}
	
	private class ButtonHandler implements ActionListener
	{
		public void actionPerformed(ActionEvent event)
		{
			double resultat; //Valeur utilise pour enregistrer les rsultat retourn pas les fonctions de la classe "Conversion".
			
//			implmentation des actions a effectuer en fonction des boutons cliqus.
			if(event.getSource() == celsiusFahrenheitButton)
			{
				String input = temperaturTextField.getText(); // On prend le texte entr par lutilisateur.
				
				resultat = Double.parseDouble(input); // On converti la verleur entre en valeur numrique.
				
				resultat = Conversion.CelsiusToFahrenheit(resultat); // On fait la conversion de celsius en fahrenheit.

//				On prpare le texte a afficher.
				String output = String.valueOf(resultat);
				output = String.format("La temprature de %sC correspond  %sF", input, output);
				
//				On affiche le texte.
				resultatLabel.setText(output);
//				on reinitialise le TextField.
				temperaturTextField.setText("0");
				
			} 
			else if(event.getSource()== fahrenheitCelsiusButton)
			{
				String input = temperaturTextField.getText(); // On prend le texte entr par lutilisateur.
				
				resultat = Double.parseDouble(input); // On converti la verleur entre en valeur numrique.
				
				resultat = Conversion.FahrenheitToCelsius(resultat); // On fait la conversion de fahrenheit en celsius.
				
//				On prpare le texte a afficher.
				String output = String.valueOf(resultat);
				output = String.format("La temprature de %sF correspond  %sC.", input, output);
				
//				On affiche le texte.
				resultatLabel.setText(output);
//				on reinitialise le TextField.
				temperaturTextField.setText("0");
			}
				
		}
	}

}
